# classes/phing/tasks/system/IncludePathTask.php

## \IncludePathTask
jump to top

Adds a normalized path to the PHP include_path.

This provides a way to alter the include_path without editing any global php.ini settings or PHP_CLASSPATH environment variable.

``

Extends from
  \Task
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $

### Properties

`string $classname= ''`

Classname of task to register.

This can be a dot-path -- relative to a location on PHP include_path. E.g. path.to.MyClass -> path/to/MyClass.php

Details

Type
  string

`\Path $classpath= ''`

Path to add to PHP include_path to aid in finding specified class.

Details

Type
  \Path

`$classpathId= ''`

Refid to already defined classpath

Details

Type

### Methods

`createClasspath( ) :`
Create the classpath to be used when searching for component being defined
`main( ) :`
Main entry point
`setClasspath( \Path $classpath ) :`
Set the classpath to be used when searching for component being defined
Parameters

Name | Type | Description
--- | --- | ---
$classpath | \Path | An Path object containing the classpath.

`setClasspathRef( $r ) :`
Reference to a classpath to use when loading the files.
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

Documentation was generated by DocBlox 0.13.1.